#ifndef SWRADDRDEF_H_INCLUDED
#define SWRADDRDEF_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

#define SWR_ADDR_PROFSIZE   0x20

enum SWRCBMSG {
	SWRMSG_STATECHANGE,
	SWRMSG_PARAMCHANGE,
};

enum SWRSTATE {
	SWRSTATE_NOTFOUND,
	SWRSTATE_WATCH,
};

enum SWRSCENE {
	SWRSCENE_LOGO = 0,
	SWRSCENE_OPENING = 1,
	SWRSCENE_TITLE = 2,
	SWRSCENE_SELECT = 3,
	SWRSCENE_BATTLE = 5,
	SWRSCENE_LOADING = 6,
	SWRSCENE_SELECTSV = 8,
	SWRSCENE_SELECTCL = 9,
	SWRSCENE_LOADINGSV = 10,
	SWRSCENE_LOADINGCL = 11,
	SWRSCENE_LOADINGWATCH = 12,
	SWRSCENE_BATTLESV = 13,
	SWRSCENE_BATTLECL = 14,
	SWRSCENE_BATTLEWATCH = 15,
	SWRSCENE_SELECTSENARIO = 16,
	SWRSCENE_ENDING = 20,
	SWRSCENE_MAX,
};

enum SWRSCHAR {
	SWRCHAR_REIMU = 0,
	SWRCHAR_MARISA = 1,
	SWRCHAR_SAKUYA = 2,
	SWRCHAR_ALICE = 3,
	SWRCHAR_PATCHOULI = 4,
	SWRCHAR_YOUMU = 5,
	SWRCHAR_REMILIA = 6,
	SWRCHAR_YUYUKO = 7,
	SWRCHAR_YUKARI = 8,
	SWRCHAR_SUICA = 9,
	SWRCHAR_REISEN = 10,
	SWRCHAR_AYA = 11,
	SWRCHAR_KOMACHI = 12,
	SWRCHAR_IKU = 13,
	SWRCHAR_TENSHI = 14,
	SWRCHAR_ROMAN = 15,
	SWRCHAR_MAX = SWRCHAR_ROMAN,
};

enum SWRPARAM {
	SWRPARAM_SCENE = 0,
	SWRPARAM_COMMMODE,
	SWRPARAM_BATTLEMODE,
	SWRPARAM_LCHARID,
	SWRPARAM_RCHARID,
	SWRPARAM_LWINCOUNT,
	SWRPARAM_RWINCOUNT,
	SWRPARAM_TOADDR_SERVER,
	SWRPARAM_TOADDR_CLIENT,
	SWRPARAM_MAX,
	SWRPARAM_LPROFNAME,
	SWRPARAM_RPROFNAME,
};

enum SWRCOMMMODE {
	SWRCOMMMODE_SERVER = 4,
	SWRCOMMMODE_CLIENT = 5,
	SWRCOMMMODE_WATCH  = 6
};

typedef void (__cdecl *SWRADDRCALLBACKPROC)(int, int, int, void *);

int SwrAddrInit(HWND, int);
int SwrAddrFinish();
int SwrGetParam(int);

#ifdef __cplusplus
}
#endif

#endif /* SWRADDRDEF_H_INCLUDED */
